dofile("Scripts/levelManager.lua");

LManager = LevelManager.create();

LManager:AddGame(eGAME_METER);
LManager:AddGame(eGAME_SPIN);
LManager:AddGame(eGAME_RECALL);
LManager:AddGame(eGAME_SHELL);
LManager:AddGame(eGAME_COMBO);

-- skewed block formation
LManager:AddTable(eTYPE_TABLE1, 200, 260);
LManager:AddTable(eTYPE_TABLE2, 380, 260);
LManager:AddTable(eTYPE_TABLE3, 560, 260);
LManager:AddTable(eTYPE_TABLE4, 150, 375);
LManager:AddTable(eTYPE_TABLE5, 330, 375);
LManager:AddTable(eTYPE_TABLE6, 510, 375);

LManager:AddCandle(165, 74, 25000);
LManager:AddCandle(285, 74, 25000);
LManager:AddCandle(576, 74, 25000);


seated = LManager.GenSeated(eTYPE_SEATED4);
seated.tableIdx = 1;
LManager:AddSeated(seated);

seated = LManager.GenSeated(eTYPE_SEATED5);
seated.tableIdx = 2;
LManager:AddSeated(seated);

seated = LManager.GenSeated(eTYPE_SEATED6);
seated.tableIdx = 3;
LManager:AddSeated(seated);

seated = LManager.GenSeated(eTYPE_SEATED8);
seated.tableIdx = 4;
LManager:AddSeated(seated);

seated = LManager.GenSeated(eTYPE_SEATED10);
seated.tableIdx = 5;
LManager:AddSeated(seated);

seated = LManager.GenSeated(eTYPE_SEATED3);
seated.tableIdx = 6;
LManager:AddSeated(seated);

guest = LManager.GenGuest(eTYPE_GUEST1);
guest.needs[1] = eWANT_TALK;
guest.times[1] = 3000;
guest.needs[2] = eWANT_TALK;
guest.times[2] = 49000;
guest.needs[3] = eWANT_TALK;
guest.times[3] = 88000;
guest.needs[4] = eWANT_GIFT;
guest.times[4] = 138000;
guest.needs[5] = eWANT_TALK;
guest.times[5] = 177000;
guest.needs[6] = eWANT_GIFT;
guest.times[6] = 211000;
guest.needs[7] = eWANT_GIFT;
guest.times[7] = 253000;
LManager:AddGuest(guest);

guest = LManager.GenGuest(eTYPE_GUEST7);
guest.needs[1] = eWANT_GIFT;
guest.times[1] = 10000;
guest.needs[2] = eWANT_GIFT;
guest.times[2] = 56000;
guest.needs[3] = eWANT_TALK;
guest.times[3] = 96000;
guest.needs[4] = eWANT_DRINK;
guest.times[4] = 138000;
guest.needs[5] = eWANT_GIFT;
guest.times[5] = 186000;
guest.needs[6] = eWANT_TALK;
guest.times[6] = 230000;
guest.needs[7] = eWANT_DRINK;
guest.times[7] = 242000;
LManager:AddGuest(guest);

guest = LManager.GenGuest(eTYPE_GUEST2);
guest.needs[1] = eWANT_TALK;
guest.times[1] = 17000;
guest.needs[2] = eWANT_DRINK;
guest.times[2] = 64000;
guest.needs[3] = eWANT_TALK;
guest.times[3] = 104000;
guest.needs[4] = eWANT_TALK;
guest.times[4] = 145000;
guest.needs[5] = eWANT_GIFT;
guest.times[5] = 192000;
guest.needs[6] = eWANT_GIFT;
guest.times[6] = 229000;
guest.needs[7] = eWANT_GIFT;
guest.times[7] = 260000;
LManager:AddGuest(guest);

guest = LManager.GenGuest(eTYPE_GUEST9);
guest.needs[1] = eWANT_DRINK;
guest.times[1] = 24000;
guest.needs[2] = eWANT_TALK;
guest.times[2] = 64000;
guest.needs[3] = eWANT_TALK;
guest.times[3] = 108000;
guest.needs[4] = eWANT_DRINK;
guest.times[4] = 150000;
guest.needs[5] = eWANT_TALK;
guest.times[5] = 203000;
guest.needs[6] = eWANT_GIFT;
guest.times[6] = 255000;
LManager:AddGuest(guest);

guest = LManager.GenGuest(eTYPE_GUEST5);
guest.needs[1] = eWANT_DRINK;
guest.times[1] = 31000;
guest.needs[2] = eWANT_TALK;
guest.times[2] = 69000;
guest.needs[3] = eWANT_TALK;
guest.times[3] = 111000;
guest.needs[4] = eWANT_TALK;
guest.times[4] = 163000;
guest.needs[5] = eWANT_TALK;
guest.times[5] = 184000;
guest.needs[6] = eWANT_GIFT;
guest.times[6] = 210000;
guest.needs[6] = eWANT_DRINK;
guest.times[6] = 234000;
LManager:AddGuest(guest);

guest = LManager.GenGuest(eTYPE_GUEST8);
guest.needs[1] = eWANT_TALK;
guest.times[1] = 55000;
guest.needs[2] = eWANT_DRINK;
guest.times[2] = 79000;
guest.needs[3] = eWANT_DRINK;
guest.times[3] = 119000;
guest.needs[4] = eWANT_GIFT;
guest.times[4] = 166000;
guest.needs[5] = eWANT_TALK;
guest.times[5] = 218000;
guest.needs[6] = eWANT_TALK;
guest.times[6] = 247000;
LManager:AddGuest(guest);

LManager:AdjustGuestHappiness(150);
LManager:SetSnackTime(20000);

LManager:SetLevelNumber(3,5);
LManager:SetLevelScores(8500, 9365);
LManager:SetLevelTime(45000);

gameObject = LManager:GenerateGameObject();

levelSetting = LManager:GenerateLevelSettings();